<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    
    <!--
        Added the entity CrearEvento.
    -->
    <changeSet id="20210929033913-1" author="jhipster">
        <createTable tableName="crear_evento">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="nombre_evento" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="informacion" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="lugar" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="fecha_hora" type="datetime">
                <constraints nullable="true" />
            </column>
            <column name="usuario_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="tipo_evento" type="boolean">
                <constraints nullable="true" />
            </column>
            <column name="cantidad_boletas" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="categoria_evento" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="precio_boleta" type="${floatType}">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="crear_evento" columnName="fecha_hora" columnDataType="datetime"/>
    </changeSet>

    <changeSet id="20210929033913-1-relations" author="jhipster">

    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20210929033913-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/crear_evento.csv"
                  separator=";"
                  tableName="crear_evento">
            <column name="id" type="numeric"/>
            <column name="nombre_evento" type="string"/>
            <column name="informacion" type="string"/>
            <column name="lugar" type="string"/>
            <column name="fecha_hora" type="datetime"/>
            <column name="usuario_id" type="numeric"/>
            <column name="tipo_evento" type="boolean"/>
            <column name="cantidad_boletas" type="numeric"/>
            <column name="categoria_evento" type="string"/>
            <column name="precio_boleta" type="numeric"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>

</databaseChangeLog>
